<project version="4">
  <component name="BookmarksManager">
    <option name="groups">
      <GroupState>
        <option name="name" value="Laser Tag" />
      </GroupState>
    </option>
  </component>
  <component name="FileEditorManager">
    <leaf ideFingerprint="19oqcmdakus6c" SIDE_TABS_SIZE_LIMIT_KEY="-1">
      <file current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/src/main.cpp" file-id="97833" managing-fs="1774363272086">
          <provider editor-type-id="text-editor" selected="true">
            <state relative-caret-position="-792">
              <caret line="1229" column="16" selection-start-line="1229" selection-start-column="16" selection-end-line="1229" selection-end-column="16" />
            </state>
          </provider>
        </entry>
        <tab><![CDATA[{"tabTitle":"main.cpp","foregroundColor":-9392385,"textAttributes":{"name":"a","children":[{"name":"option","attributes":{"name":"FOREGROUND","value":"70aeff"}}]},"icon":[10,57,99,111,109,46,105,110,116,101,108,108,105,106,46,117,105,46,105,99,111,110,115,46,82,97,115,116,101,114,105,122,101,100,73,109,97,103,101,68,97,116,97,76,111,97,100,101,114,68,101,115,99,114,105,112,116,111,114,18,114,10,23,105,99,111,110,115,47,102,105,108,101,84,121,112,101,115,47,99,112,112,46,115,118,103,18,29,105,99,111,110,115,47,101,120,112,117,105,47,102,105,108,101,84,121,112,101,115,47,99,112,112,46,115,118,103,26,18,99,111,109,46,105,110,116,101,108,108,105,106,46,99,108,105,111,110,34,23,105,110,116,101,108,108,105,106,46,99,105,100,114,46,108,97,110,103,46,98,97,115,101,40,-21,-119,-10,-57,-3,-1,-1,-1,-1,1,48,0]}]]></tab>
      </file>
    </leaf>
  </component>
  <component name="FileTypeUsageLocalSummary"><![CDATA[{
  "data": {
    "C/C++ Header": {
      "usageCount": 3,
      "lastUsed": 1775364735291
    },
    "C/C++": {
      "usageCount": 4,
      "lastUsed": 1775364781731
    },
    "platformio": {
      "usageCount": 3,
      "lastUsed": 1775364733435
    },
    "Python": {
      "usageCount": 4,
      "lastUsed": 1775364735279
    },
    "Markdown": {
      "usageCount": 4,
      "lastUsed": 1775364736136
    },
    "Requirements.txt": {
      "usageCount": 2,
      "lastUsed": 1775364733470
    },
    "textmate": {
      "usageCount": 2,
      "lastUsed": 1775364735306
    },
    "DIFF": {
      "usageCount": 1,
      "lastUsed": 1774365084343
    }
  }
}]]></component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>setup(</find>
      <find />
    </findStrings>
    <replaceStrings>
      <replace />
    </replaceStrings>
  </component>
  <component name="IdeDocumentHistory"><![CDATA[{
  "changedPaths": [
    "/home/breadway/Documents/Laser Tag/platformio.ini",
    "/home/breadway/Documents/Laser Tag/scripts/README.md",
    "/home/breadway/Documents/Laser Tag/scripts/flash_and_monitor.py",
    "/home/breadway/Documents/Laser Tag/scripts/serial_smoke_test.py",
    "/home/breadway/Documents/Laser Tag/scripts/requirements.txt",
    "/home/breadway/Documents/Laser Tag/PROGRESS.md",
    "/home/breadway/Documents/Laser Tag/src/main.cpp"
  ]
}]]></component>
  <component name="IgnoredFileRootStore">
    <option name="generatedRoots">
      <set>
        <option value="$PROJECT_DIR$/.idea" />
      </set>
    </option>
  </component>
  <component name="LanguageUsageStatistics">
    <language id="C++">
      <summary usageCount="7" lastUsage="1775364781731" />
    </language>
    <language id="Ini">
      <summary usageCount="3" lastUsage="1775364733439" />
    </language>
    <language id="Markdown">
      <summary usageCount="4" lastUsage="1775364736136" />
    </language>
    <language id="Python">
      <summary usageCount="4" lastUsage="1775364735279" />
    </language>
    <language id="Requirements">
      <summary usageCount="2" lastUsage="1775364733470" />
    </language>
    <language id="textmate">
      <summary usageCount="2" lastUsage="1775364735306" />
    </language>
  </component>
  <component name="ProjectView">
    <navigator currentView="ProjectPane" proportions="" version="1" />
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="Laser Tag" type="b2602c69:ProjectViewProjectNode" />
              <item name="Laser Tag" type="47feb1d3:ProjectViewModuleNode" />
            </path>
            <path>
              <item name="Laser Tag" type="b2602c69:ProjectViewProjectNode" />
              <item name="Laser Tag" type="47feb1d3:ProjectViewModuleNode" />
              <item name="dir{file:///home/breadway/Documents/Laser Tag}" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="Laser Tag" type="b2602c69:ProjectViewProjectNode" />
              <item name="Laser Tag" type="47feb1d3:ProjectViewModuleNode" />
              <item name="dir{file:///home/breadway/Documents/Laser Tag}" type="462c0819:PsiDirectoryNode" />
              <item name="dir{file:///home/breadway/Documents/Laser Tag/src}" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
          <presentation>
            <attributes />
            <data iconPath="expui/toolwindows/project.svg" iconPlugin="com.intellij" isLeaf="false" text="Laser Tag" />
            <item name="Laser Tag" type="b2602c69:ProjectViewProjectNode" />
            <presentation>
              <attributes />
              <data iconPath="expui/nodes/module.svg" iconPlugin="com.intellij" isLeaf="false" text="Laser Tag" />
              <item name="Laser Tag" type="47feb1d3:ProjectViewModuleNode" />
              <presentation>
                <attributes>
                  <map>
                    <entry key="filePath" value="$PROJECT_DIR$" />
                  </map>
                </attributes>
                <data iconPath="expui/nodes/module.svg" iconPlugin="com.intellij" isLeaf="false" text="Laser Tag" />
                <item name="dir{file:///home/breadway/Documents/Laser Tag}" type="462c0819:PsiDirectoryNode" />
                <presentation>
                  <attributes>
                    <map>
                      <entry key="filePath" value="$PROJECT_DIR$/.pio" />
                    </map>
                  </attributes>
                  <data iconPath="expui/nodes/folder.svg" iconPlugin="com.intellij" isLeaf="false" text=".pio" />
                  <item name="dir{file:///home/breadway/Documents/Laser Tag/.pio}" type="462c0819:PsiDirectoryNode" />
                </presentation>
                <presentation>
                  <attributes>
                    <map>
                      <entry key="filePath" value="$PROJECT_DIR$/include" />
                    </map>
                  </attributes>
                  <data iconPath="expui/nodes/folder.svg" iconPlugin="com.intellij" isLeaf="false" text="include" />
                  <item name="dir{file:///home/breadway/Documents/Laser Tag/include}" type="462c0819:PsiDirectoryNode" />
                </presentation>
                <presentation>
                  <attributes>
                    <map>
                      <entry key="filePath" value="$PROJECT_DIR$/lib" />
                    </map>
                  </attributes>
                  <data iconPath="expui/nodes/folder.svg" iconPlugin="com.intellij" isLeaf="false" text="lib" />
                  <item name="dir{file:///home/breadway/Documents/Laser Tag/lib}" type="462c0819:PsiDirectoryNode" />
                </presentation>
                <presentation>
                  <attributes>
                    <map>
                      <entry key="filePath" value="$PROJECT_DIR$/scripts" />
                    </map>
                  </attributes>
                  <data iconPath="expui/nodes/folder.svg" iconPlugin="com.intellij" isLeaf="false" text="scripts" />
                  <item name="dir{file:///home/breadway/Documents/Laser Tag/scripts}" type="462c0819:PsiDirectoryNode" />
                </presentation>
                <presentation>
                  <attributes>
                    <map>
                      <entry key="filePath" value="$PROJECT_DIR$/src" />
                    </map>
                  </attributes>
                  <data iconPath="expui/nodes/folder.svg" iconPlugin="com.intellij" isLeaf="false" text="src" />
                  <item name="dir{file:///home/breadway/Documents/Laser Tag/src}" type="462c0819:PsiDirectoryNode" />
                  <presentation>
                    <attributes>
                      <map>
                        <entry key="filePath" value="$PROJECT_DIR$/src/main.cpp" />
                      </map>
                    </attributes>
                    <data iconModule="intellij.cidr.lang.base" iconPath="icons/expui/fileTypes/cpp.svg" iconPlugin="com.intellij.clion" isLeaf="true" text="main.cpp" />
                    <item name="main.cpp" type="ab9368bb:PsiFileNode" />
                  </presentation>
                </presentation>
                <presentation>
                  <attributes>
                    <map>
                      <entry key="filePath" value="$PROJECT_DIR$/test" />
                    </map>
                  </attributes>
                  <data iconPath="expui/nodes/folder.svg" iconPlugin="com.intellij" isLeaf="false" text="test" />
                  <item name="dir{file:///home/breadway/Documents/Laser Tag/test}" type="462c0819:PsiDirectoryNode" />
                </presentation>
                <presentation>
                  <attributes>
                    <map>
                      <entry key="filePath" value="$PROJECT_DIR$/.gitignore" />
                    </map>
                  </attributes>
                  <data iconPath="expui/fileTypes/ignored.svg" iconPlugin="com.intellij" isLeaf="true" text=".gitignore" />
                  <item name=".gitignore" type="ab9368bb:PsiFileNode" />
                </presentation>
                <presentation>
                  <attributes>
                    <map>
                      <entry key="filePath" value="$PROJECT_DIR$/Architecture.md" />
                    </map>
                  </attributes>
                  <data iconPath="icons/expui/markdown.svg" iconPlugin="org.intellij.plugins.markdown" isLeaf="true" text="Architecture.md" />
                  <item name="Architecture.md" type="ab9368bb:PsiFileNode" />
                </presentation>
                <presentation>
                  <attributes>
                    <map>
                      <entry key="filePath" value="$PROJECT_DIR$/Design Document.docx" />
                    </map>
                  </attributes>
                  <data iconPath="expui/fileTypes/unknown.svg" iconPlugin="com.intellij" isLeaf="true" text="Design Document.docx" />
                  <item name="Design Document.docx" type="ab9368bb:PsiFileNode" />
                </presentation>
                <presentation>
                  <attributes>
                    <map>
                      <entry key="filePath" value="$PROJECT_DIR$/get-platformio.py" />
                    </map>
                  </attributes>
                  <data iconModule="intellij.python.parser" iconPath="icons/com/jetbrains/python/parser/expui/python.svg" iconPlugin="PythonCore" isLeaf="true" text="get-platformio.py" />
                  <item name="get-platformio.py" type="ab9368bb:PsiFileNode" />
                </presentation>
                <presentation>
                  <attributes>
                    <map>
                      <entry key="filePath" value="$PROJECT_DIR$/laser_tag_node.ino" />
                    </map>
                  </attributes>
                  <data iconModule="intellij.cidr.lang.base" iconPath="icons/expui/fileTypes/h.svg" iconPlugin="com.intellij.clion" isLeaf="true" text="laser_tag_node.ino" />
                  <item name="laser_tag_node.ino" type="ab9368bb:PsiFileNode" />
                </presentation>
                <presentation>
                  <attributes>
                    <map>
                      <entry key="filePath" value="$PROJECT_DIR$/platformio.ini" />
                    </map>
                  </attributes>
                  <data iconPath="icons/logoPlatformIO.svg" iconPlugin="intellij.clion.embedded.platformio" isLeaf="true" text="platformio.ini" />
                  <item name="platformio.ini" type="ab9368bb:PsiFileNode" />
                </presentation>
                <presentation>
                  <attributes>
                    <map>
                      <entry key="filePath" value="$PROJECT_DIR$/PROGRESS.md" />
                    </map>
                  </attributes>
                  <data iconPath="icons/expui/markdown.svg" iconPlugin="org.intellij.plugins.markdown" isLeaf="true" text="PROGRESS.md" />
                  <item name="PROGRESS.md" type="ab9368bb:PsiFileNode" />
                </presentation>
              </presentation>
              <presentation>
                <attributes>
                  <map>
                    <entry key="filePath" value="$USER_HOME$/Nextcloud/Documents/Laser Tag/src" />
                  </map>
                </attributes>
                <data iconPath="expui/nodes/folder.svg" iconPlugin="com.intellij" isLeaf="false" text="src" />
                <item name="dir{file:///home/breadway/Nextcloud/Documents/Laser Tag/src}" type="462c0819:PsiDirectoryNode" />
              </presentation>
              <presentation>
                <attributes />
                <data iconPath="expui/nodes/library.svg" iconPlugin="com.intellij" isLeaf="false" text="Adafruit BusIO" />
                <item name="Adafruit BusIO" type="a7db211d:PlatformioSourcesStructureProvider$LibraryNode" />
              </presentation>
              <presentation>
                <attributes />
                <data iconPath="expui/nodes/library.svg" iconPlugin="com.intellij" isLeaf="false" text="Adafruit GFX Library" />
                <item name="Adafruit GFX Library" type="a7db211d:PlatformioSourcesStructureProvider$LibraryNode" />
              </presentation>
              <presentation>
                <attributes />
                <data iconPath="expui/nodes/library.svg" iconPlugin="com.intellij" isLeaf="false" text="Adafruit SSD1306" />
                <item name="Adafruit SSD1306" type="a7db211d:PlatformioSourcesStructureProvider$LibraryNode" />
              </presentation>
              <presentation>
                <attributes />
                <data iconPath="expui/nodes/library.svg" iconPlugin="com.intellij" isLeaf="false" text="FastLED" />
                <item name="FastLED" type="a7db211d:PlatformioSourcesStructureProvider$LibraryNode" />
              </presentation>
              <presentation>
                <attributes />
                <data iconPath="expui/nodes/library.svg" iconPlugin="com.intellij" isLeaf="false" text="IRremoteESP8266" />
                <item name="IRremoteESP8266" type="a7db211d:PlatformioSourcesStructureProvider$LibraryNode" />
              </presentation>
              <presentation>
                <attributes />
                <data iconPath="expui/nodes/library.svg" iconPlugin="com.intellij" isLeaf="false" text="micro-ecc" />
                <item name="micro-ecc" type="a7db211d:PlatformioSourcesStructureProvider$LibraryNode" />
              </presentation>
            </presentation>
            <presentation>
              <attributes />
              <data iconPath="expui/nodes/library.svg" iconPlugin="com.intellij" isLeaf="false" text="External Libraries" />
              <item name="External Libraries" type="cb654da1:ExternalLibrariesNode" />
            </presentation>
            <presentation>
              <attributes />
              <data iconPath="expui/fileTypes/scratches.svg" iconPlugin="com.intellij" isLeaf="false" text="Scratches and Consoles" />
              <item name="Scratches and Consoles" type="b85a3e1f:ScratchTreeStructureProvider$MyProjectNode" />
            </presentation>
          </presentation>
        </subPane>
      </pane>
      <pane id="Scope" />
    </panes>
  </component>
  <component name="QueryFileSettings">
    <option name="projectQueriesDirectory" value="$PROJECT_DIR$/.idea/queries" />
  </component>
  <component name="TerminalTabsStorage">
    <option name="tabs">
      <TerminalSessionPersistedTab name="Local" workingDirectory="$PROJECT_DIR$">
        <option name="shellCommand">
          <option value="/usr/bin/fish" />
          <option value="-i" />
        </option>
      </TerminalSessionPersistedTab>
      <TerminalSessionPersistedTab name="Local (3)" workingDirectory="$PROJECT_DIR$">
        <option name="shellCommand">
          <option value="/usr/bin/fish" />
          <option value="-i" />
        </option>
      </TerminalSessionPersistedTab>
    </option>
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="15717000" />
  </component>
  <component name="ToolWindowManager">
    <layoutV2>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.21777344" />
      <window_info id="Commit" order="1" weight="0.21777344" />
      <window_info id="Structure" order="2" side_tool="true" weight="0.25" />
      <window_info anchor="bottom" id="Version Control" order="0" />
      <window_info anchor="bottom" id="Problems" order="1" />
      <window_info anchor="bottom" id="Problems View" order="2" />
      <window_info active="true" anchor="bottom" id="Terminal" order="3" visible="true" weight="0.13631466" />
      <window_info anchor="bottom" id="Services" order="4" />
      <window_info anchor="bottom" id="CMake" order="5" />
      <window_info anchor="bottom" id="SerialMonitor" order="6" weight="0.41217673" />
      <window_info anchor="bottom" id="Build" order="7" weight="0.26993534" />
      <window_info anchor="bottom" id="Run" order="8" weight="0.19342673" />
      <window_info anchor="bottom" id="GitHub Copilot MCP Log" order="9" weight="0.5705819" />
      <window_info anchor="right" content_ui="combo" id="Notifications" order="0" weight="0.25" />
      <window_info anchor="right" id="AIAssistant" order="1" weight="0.23925781" />
      <window_info anchor="right" id="Database" order="2" weight="0.25" />
      <window_info anchor="right" id="Gradle" order="3" weight="0.25" />
      <window_info anchor="right" id="Maven" order="4" weight="0.25" />
      <window_info anchor="right" id="Meson" order="5" />
      <window_info anchor="right" id="ESP-IDF" order="6" />
      <window_info anchor="right" id="PlatformIO" order="7" weight="0.23925781" />
      <window_info anchor="right" id="github.copilotToolWindow" order="8" weight="0.23925781" />
      <window_info active="true" anchor="right" id="GitHub Copilot Chat" order="9" weight="0.23925781" />
      <window_info anchor="right" id="GitHub Coding Agent Jobs" order="10" weight="0.23925781" />
      <unified_weights bottom="0.13631466" left="0.21777344" right="0.23925781" />
    </layoutV2>
    <recentWindows>
      <value>Project</value>
      <value>Commit</value>
      <value>GitHub Copilot Chat</value>
      <value>Terminal</value>
      <value>Run</value>
      <value>PlatformIO</value>
      <value>SerialMonitor</value>
      <value>github.copilotToolWindow</value>
      <value>AIAssistant</value>
      <value>Build</value>
      <value>GitHub Copilot MCP Log</value>
      <value>GitHub Coding Agent Jobs</value>
    </recentWindows>
  </component>
  <component name="WindowStateProjectService">
    <state x="178" y="122" key="SettingsEditor" timestamp="1774352451431">
      <screen x="0" y="32" width="1536" height="928" />
    </state>
    <state x="178" y="122" key="SettingsEditor/0.32.1536.928@0.32.1536.928" timestamp="1774352451431" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/platformio.ini">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/scripts/requirements.txt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="391" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/scripts/serial_smoke_test.py">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/scripts/flash_and_monitor.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="132">
          <caret line="6" selection-start-line="6" selection-end-line="6" />
          <folding>
            <element signature="e#293#308#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/laser_tag_node.ino">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="110">
          <caret line="5" column="23" selection-end-line="1254" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/scripts/serial_test_session.log">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="540">
          <caret line="86" selection-start-line="86" selection-end-line="86" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/scripts/README.md">
      <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
        <state split_layout="SHOW_EDITOR_AND_PREVIEW" is_vertical_split="false">
          <first_editor relative-caret-position="313">
            <caret line="30" selection-start-line="30" selection-end-line="30" />
          </first_editor>
          <second_editor />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/PROGRESS.md">
      <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
        <state split_layout="SHOW_EDITOR_AND_PREVIEW" is_vertical_split="false">
          <first_editor />
          <second_editor />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-792">
          <caret line="1229" column="16" selection-start-line="1229" selection-start-column="16" selection-end-line="1229" selection-end-column="16" />
        </state>
      </provider>
    </entry>
  </component>
</project>